
%define oname attica

Summary:        Open Collaboration Service providers library
Name:           %oname
Version: 	    5.51.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/attica/%{oname}-%{version}.tar.xz
URL:            https://projects.kde.org/projects/kdesupport/attica
BuildRequires:  %{_lib}qt5core-devel
BuildRequires:  %{_lib}qt5network-devel 
BuildRequires:  %{_lib}qt5test-devel
BuildRequires:  %{_lib}qt5gui-devel

BuildRequires:  qt5gui-private-devel
BuildRequires:  mesa-devel 
BuildRequires:  extra-cmake-modules
BuildRequires:  cmake


%description
A library to access Open Collaboration Service providers.
Required to access OSC providers in get hot new stuff in KDE4.

#--------------------------------------------------------------------

%define attica_major 5
%define libattica %mklibname attica 5

%package -n %libattica
Summary:      Qt library that implements the Open Collaboration Services API
Group:        Graphical desktop/KDE5

%description -n %libattica
A library to access Open Collaboration Service providers
Required to access OSC providers in get hot new stuff.

%files -n %libattica
%{_libdir}/libKF5Attica.so.%{attica_major}*
%{_libdir}/libKF5Attica.so.5
/etc/xdg/attica.categories
#--------------------------------------------------------------------
%define attica_devel %mklibname attica-kf5 -d

%package -n %attica_devel

Summary:        Devel stuff for %oname
Group:          Development/Libraries
Requires:       %libattica = %version-%release

Provides:       %name-devel = %version-%release
Provides:       %name-k5-devel = %version-%release

Requires:       %{_lib}qt5core-devel

%description -n %attica_devel
Provides:        attica-devel = %{version}-%{release}
This package contains header files needed if you wish to build applications
based on %oname.

%files -n %attica_devel
%{_includedir}/KF5/Attica
%{_includedir}/KF5/attica_version.h
%{_libdir}/libKF5Attica.so
%{_libdir}/pkgconfig/libKF5Attica.pc
%{_libdir}/cmake/KF5Attica

#--------------------------------------------------------------------

%prep
%setup -q -n %oname-%version

sed -e 's,${CMAKE_LIBATTICA_VERSION_MAJOR}.${CMAKE_LIBATTICA_VERSION_MINOR}.${CMAKE_LIBATTICA_VERSION_PATCH},%{version},g' -i src/cmake/libKF5Attica.pc.cmake

%build
%cmake_qt5 -DQT4_BUILD=ON
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

# not needed?
rm -f %buildroot/usr/mkspecs/modules/qt_Attica.pri


%changelog
* Wed Oct 17 2018 adrianomorselli <adrianomorselli> 5.51.0-1uplos2018
- update
